From 61726df20cea04ff09bbfdf4ca77519cf4b9088d Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ga=C3=ABl=20PORTAY?= <gael.portay@gmail.com>
Date: Sat, 2 May 2015 15:09:05 +0200
Subject: [PATCH 16/45] Turn sendaddr, listenaddr and request_listenaddr local
 variables into char *

---
 tcpfwd.h | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/tcpfwd.h b/tcpfwd.h
index 51a1575..cd04fcd 100644
--- a/tcpfwd.h
+++ b/tcpfwd.h
@@ -31,16 +31,16 @@ struct TCPListener {
 
 	/* For a direct-tcpip request, it's the addr/port we want the other
 	 * end to connect to */
-	unsigned char *sendaddr;
+	char *sendaddr;
 	unsigned int sendport;
 
 	/* This is the address/port that we listen on. The address has special
 	 * meanings as per the rfc, "" for all interfaces, "localhost" for 
 	 * localhost, or a normal interface name. */
-	unsigned char *listenaddr;
+	char *listenaddr;
 	unsigned int listenport;
 	/* The address that the remote host asked to listen on */
-	unsigned char *request_listenaddr;
+	char *request_listenaddr;
 
 	const struct ChanType *chantype;
 	enum {direct, forwarded} tcp_type;

